Download business report
curl --request POST \
--url https://api.halth.com/v1/businesses/{businessId}/reports \
--header 'Content-Type: application/json' \
--data '
{
"type": "payment_transactions",
"createdAtMin": "2023-11-07T05:31:56Z",
"createdAtMax": "2023-11-07T05:31:56Z",
"status": []
}
'import requests
url = "https://api.halth.com/v1/businesses/{businessId}/reports"
payload = {
"type": "payment_transactions",
"createdAtMin": "2023-11-07T05:31:56Z",
"createdAtMax": "2023-11-07T05:31:56Z",
"status": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'payment_transactions',
createdAtMin: '2023-11-07T05:31:56Z',
createdAtMax: '2023-11-07T05:31:56Z',
status: []
})
};
fetch('https://api.halth.com/v1/businesses/{businessId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reports
Download business report
Download a CSV report for a business
POST
/
v1
/
businesses
/
{businessId}
/
reports
Download business report
Path Parameters
Body
application/json
Response
201 - undefined
⌘I
